version: '2.1'
services:
  db:
   image: postgres:14
   mem_limit: 512m
   container_name: postgres_container
   ports:
      - "5400:5432"
   environment:
    - POSTGRES_USER=docker_user
    - POSTGRES_PASSWORD=password
    - POSTGRES_DB=inflation
   healthcheck:
    test: pg_isready -U docker_user -d inflation
    interval: 10s
    timeout: 3s
    retries: 3
   volumes:
     - ./initdb_script:/docker-entrypoint-initdb.d/

  # UI admin db panel to connect to server in pgadmin use db container name for host name
  pgadmin:
    image: dpage/pgadmin4
    mem_limit: 512m
    container_name: pgadmin_container
    environment:
      PGADMIN_DEFAULT_EMAIL: "a.s.kirson@gmail.com"
      PGADMIN_DEFAULT_PASSWORD: "password"
      PGADMIN_CONFIG_SERVER_MODE: "False"
    volumes:
      - ./pgadmin:/var/lib/pgadmin
    ports:
      - "5050:80"
    restart: unless-stopped